<html>

<head>
    <title>Test</title>
    <script src="https://aframe.io/releases/0.9.2/aframe.min.js"></script>
    <script src="https://unpkg.com/super-hands/dist/super-hands.min.js"></script>
    <script src="//cdn.rawgit.com/donmccurdy/aframe-physics-system/v4.0.1/dist/aframe-physics-system.min.js"></script>
    <script src="https://unpkg.com/aframe-event-set-component@^4.1.1/dist/aframe-event-set-component.min.js"></script>
    <script src="https://unpkg.com/aframe-physics-extras/dist/aframe-physics-extras.min.js"></script>
    <script src="https://unpkg.com/aframe-environment-component/dist/aframe-environment-component.min.js"></script>
    <script
        src="https://unpkg.com/aframe-aabb-collider-component@3.1.0/dist/aframe-aabb-collider-component.min.js"></script>
    <script src="./utils.js"></script>
    <script src="./timer.js"></script>
    <script src="./index.js" defer></script>
</head>

<body>
    <a-scene id="game" physics environment="shadow: true" stats="true">
        <a-assets>
            <a-mixin id="ball" geometry="primitive: sphere; radius: 0.05;" hoverable grabbable stretchable draggable
                event-set__hoveron="_event: hover-start; material.opacity: 0.7; transparent: true" segments-height="9"
                segments-width="18" event-set__hoveroff="_event: hover-end; material.opacity: 1; transparent: false"
                dynamic-body shadow>
            </a-mixin>
            <a-mixin id="hand" physics-collider phase-shift collision-filter="collisionForces: false"
                static-body="shape: sphere; sphereRadius: 0.02" super-hands="colliderEvent: collisions;
                              colliderEventProperty: els;
                              colliderEndEvent: collisions;
                              colliderEndEventProperty: clearedEls;"></a-mixin>

            <a-mixin id="box-collision" box-counter aabb-collider="objects: .ball" scale="0.52 0.2 0.5"
                material="opacity: 0"></a-mixin>
            <a-mixin id="box-element" src="#boxTextureGlass" material="opacity:0.5" static-body></a-mixin>

            <a-mixin id="table-feet" repeat="1 3" scale="0.1 1.5 0.1" color="#ffffff"></a-mixin>

            <!-- Textures -->
            <img id="clockArrow"
                src="https://cdn.glitch.com/8c4a0ed7-b013-4392-a0ed-11ca35bb6f5c%2Fstopwatch_hand_texture.png?v=1564148443794">
            <img id="clock"
                src="https://cdn.glitch.com/8c4a0ed7-b013-4392-a0ed-11ca35bb6f5c%2Fclock_texture_base.png?v=1564148455296">
            <img id="glowTexture"
                src="https://cdn.glitch.com/d4b3c7ee-e515-42b3-8b8b-dcfcd9d00b6d%2FglowTexture.png?v=1564061361601">
            <img id="ballSvmkTexture"
                src="https://cdn.glitch.com/d4b3c7ee-e515-42b3-8b8b-dcfcd9d00b6d%2Fball_texture_v4_svmk.png?v=1564056705517">
            <img id="ballUbTexture"
                src="https://cdn.glitch.com/d4b3c7ee-e515-42b3-8b8b-dcfcd9d00b6d%2Fball_texture_v4_ub.png?v=1564056720784">
            <img id="ball_s_SvmkTexture"
                src="https://cdn.glitch.com/d4b3c7ee-e515-42b3-8b8b-dcfcd9d00b6d%2Fball_texture_s_v4_svmk.png?v=1564132447257">
            <img id="ball_s_UbTexture"
                src="https://cdn.glitch.com/d4b3c7ee-e515-42b3-8b8b-dcfcd9d00b6d%2Fball_texture_s_v4_ub.png?v=1564132408504">
            <img id="boxTextureWood"
                src="https://cdn.glitch.com/d4b3c7ee-e515-42b3-8b8b-dcfcd9d00b6d%2Fwoodtexture.jpg?v=1564064619205">
            <img id="boxTextureMetal"
                src="https://cdn.glitch.com/d4b3c7ee-e515-42b3-8b8b-dcfcd9d00b6d%2Fmetalfloor_texture.jpg?v=1564065658032">
            <img id="coneTextureNet"
                src="https://cdn.glitch.com/d4b3c7ee-e515-42b3-8b8b-dcfcd9d00b6d%2FnetTexture.png?v=1564068341843">
            <img id="boxTextureGlass"
                src="https://cdn.glitch.com/d4b3c7ee-e515-42b3-8b8b-dcfcd9d00b6d%2Ffrostedglass_1.jpg?v=1564073331572">


        </a-assets>

        <!-- Log -->
        <a-entity id="log" text="value: Press the button!; color: #FFF" position="1.75 2 -5" scale="3 3 3"></a-entity>

        <!-- Player -->
        <a-entity>
            <a-camera position="0 1.8 2"></a-camera>
            <a-entity id="rhand" mixin="hand" hand-controls="right"></a-entity>
            <a-entity id="lhand" mixin="hand" hand-controls="left"></a-entity>
        </a-entity>

        <!-- Box left -->
        <a-entity position="-0.27 0.90 -0.3">
            <!--floor-->
            <a-box mixin="box-element" position="0 -0.1 0" height="0.01" width="0.5" depth="0.5" color="green"></a-box>
            <!--back-->
            <a-box mixin="box-element" position="0 0 -0.25" height="0.4" width="0.5" depth="0.01" color="green"></a-box>
            <!--front-->
            <a-box mixin="box-element" position="0 0 0.25" height="0.4" width="0.5" depth="0.01" color="green"></a-box>
            <!--left-->
            <a-box mixin="box-element" position="-0.25 0 0" height="0.4" width="0.01" depth="0.5" color="green"></a-box>
            <!--right-->
            <a-box mixin="box-element" position="0.25 0 0" height="0.4" width="0.01" depth="0.5" color="green"></a-box>
            <!-- Collision -->
            <a-box mixin="box-collision" type="svmk"></a-box>
        </a-entity>

        <!-- Box right -->
        <a-entity position="0.27 0.90 -0.3">
            <!--floor-->
            <a-box mixin="box-element" position="0 -0.1 0" height="0.01" width="0.5" depth="0.5" color="lightblue">
            </a-box>
            <!--back-->
            <a-box mixin="box-element" position="0 0 -0.25" height="0.4" width="0.5" depth="0.01" color="lightblue">
            </a-box>
            <!--front-->
            <a-box mixin="box-element" position="0 0 0.25" height="0.4" width="0.5" depth="0.01" color="lightblue">
            </a-box>
            <!--left-->
            <a-box mixin="box-element" position="-0.25 0 0" height="0.4" width="0.01" depth="0.5" color="lightblue">
            </a-box>
            <!--right-->
            <a-box mixin="box-element" position="0.25 0 0" height="0.4" width="0.01" depth="0.5" color="lightblue">
            </a-box>
            <!-- Collision -->
            <a-box mixin="box-collision" type="ub"></a-box>
        </a-entity>

        <!-- Clock -->
        <a-entity id="clock">
            <a-cylinder static-body position="-0.97 1.15 -0.323" height="0.03" radius="0.23" color="white"
                rotation="0 90 90" src="#clock"></a-cylinder>
            <a-circle id="animatedClockArrow" static-body position="-0.97 1.15 -0.3" src="#clockArrow" radius="0.16"
                color="white" rotation="0 0 0" transparent="true"
                animation="property:rotation; from:0 0 0; to:0 0 -360; loop:false; dur: 120000; easing: linear; enabled: false;">
            </a-circle>
        </a-entity>

        <!-- Table -->
        <a-entity position="0 0 -0.3">
            <!-- Table plane -->
            <a-box static-body src="#boxTextureWood" repeat="2 2" position="0 0.75 0" scale="2 0.1 1" color="#ffffff">
            </a-box>
            <!-- Table Leg leftback-->
            <a-box mixin="table-feet" src="#boxTextureMetal" position="-0.9 0 0.3"></a-box>
            <!-- Table Leg leftFront-->
            <a-box mixin="table-feet" src="#boxTextureMetal" position="-0.9 0 -0.1"></a-box>
            <!-- Table Leg Rightback-->
            <a-box mixin="table-feet" src="#boxTextureMetal" position="0.9 0 0.3"></a-box>
            <!-- Table Leg RightFront-->
            <a-box mixin="table-feet" src="#boxTextureMetal" position="0.9 0 -0.1"></a-box>
        </a-entity>

        <!-- END Table-->

        <!-- Start button -->
        <a-cylinder id="start-button" static-body hoverable position="0.8 0.8 -0.3" height="0.03" radius="0.1"
            color="red"></a-cylinder>

        <!-- Reset button -->
        <a-cylinder id="reset-button" static-body hoverable position="-0.8 0.8 -0.3" height="0.03" radius="0.1"
            color="blue"></a-cylinder>

        <!-- Floor - ground collider keeps objets from falling -->
        <a-box static-body width="100" height="0.001" depth="100" visible="false"></a-box>
    </a-scene>
</body>

</html>